Package org.eclipse.birt.report.model.api

# Class MultiViewsHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.MultiViewsHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IMultiViewsModel`

public class MultiViewsHandle extends DesignElementHandle implements org.eclipse.birt.report.model.elements.interfaces.IMultiViewsModel
Represents a multiple view element. A view element can contains multiple report items. The container of the view can use inner report items to represents its appearance.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.birt.report.model.elements.AbstractMultiViews`
`element`
The target report element.
`static final int`
`HOST`
Represents the container of the view does not use any inner view.

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IMultiViewsModel

`INDEX_PROP, VIEWS_PROP`

## Constructor Summary

Constructors
Constructor
Description
`MultiViewsHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.AbstractMultiViews element)`
Constructs a handle for the given design and design element.

## Method Summary

Modifier and Type
Method
Description
`void`
`addView(DesignElementHandle viewElement)`
Adds a new element as the view.
`void`
`dropView(DesignElementHandle viewElement)`
Deletes the given view.
`DesignElementHandle`
`getCurrentView()`
Returns the view that is being used.
`int`
`getCurrentViewIndex()`
Returns the index for the current view.
`org.eclipse.birt.report.model.core.DesignElement`
`getElement()`
Returns the element to which this handle is attached.
`protected List`
`getViews()`
Returns a list containing views.
`void`
`setCurrentViewIndex(int index)`
Sets the index for the view to be used.

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HOST

public static final int HOST
Represents the container of the view does not use any inner view.

See Also:
  - Constant Field Values

### element

protected org.eclipse.birt.report.model.elements.AbstractMultiViews element
The target report element.

## Constructor Details

### MultiViewsHandle

public MultiViewsHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.AbstractMultiViews element)
Constructs a handle for the given design and design element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getElement

public org.eclipse.birt.report.model.core.DesignElement getElement()
Description copied from class: `DesignElementHandle`
Returns the element to which this handle is attached.

Returns:
  The attached element. Will be null if the handle is not attached.

### getViews

protected List getViews()
Returns a list containing views.

Returns:
  a list containing views. Each item is an `ReportItemHandle`.

### getCurrentView

public DesignElementHandle getCurrentView()
Returns the view that is being used.

Returns:
  the view that is being used

### setCurrentViewIndex

public void setCurrentViewIndex(int index) throws SemanticException
Sets the index for the view to be used.

Parameters:
  `index` - a 0-based integer
Throws:
  `SemanticException`

### addView

public void addView(DesignElementHandle viewElement) throws SemanticException
Adds a new element as the view.

Parameters:
  `viewElement` - the element
Throws:
  `SemanticException`

### dropView

public void dropView(DesignElementHandle viewElement) throws SemanticException
Deletes the given view. If the given element was named as the current view, this method also set the current view to `HOST`.

Parameters:
  `viewElement` - the view element
Throws:
  `SemanticException`

### getCurrentViewIndex

public int getCurrentViewIndex()
Returns the index for the current view.

Returns:
  a 0-based integer